Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.model.spatialschema
Class MultiGeometryImpl

    java.lang.Object
      org.deegree.model.spatialschema.GeometryImpl
          org.deegree.model.spatialschema.AggregateImpl
              org.deegree.model.spatialschema.MultiGeometryImpl

All Implemented Interfaces:
  Serializable, Aggregate, Geometry, MultiGeometry

    public class MultiGeometryImpl

extends AggregateImpl
implements MultiGeometry, Serializable

Default implementation of `MultiGeometry`.

Version:
  $Revision:$, $Date:$
Author:
  Markus Schneider , last edited by: $Author:$
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.deegree.model.spatialschema.AggregateImpl
`aggregate`

Fields inherited from class org.deegree.model.spatialschema.GeometryImpl
`boundary, centroid, convexHull, crs, empty, envelope, mute, valid`

Fields inherited from interface org.deegree.model.spatialschema.Geometry
`BUFFER_CAP_BUTT, BUFFER_CAP_ROUND, BUFFER_CAP_SQUARE`

Constructor Summary
`protected` | `MultiGeometryImpl(CoordinateSystem crs)` Creates an empty `MultiGeometryImpl` instance with a given `CoordinateSystem`.
`protected` | `MultiGeometryImpl(Geometry[] members, CoordinateSystem crs)` Creates a `MultiGeometryImpl` with a given `CoordinateSystem` that contains the provided `Geometry` objects.

Method Summary
`protected void` | `calculateParam()` Calculates the value of the following member variables: `dimension` `GeometryImpl.envelope` `GeometryImpl.centroid`
`int` | `getCoordinateDimension()` The operation "coordinateDimension" shall return the dimension of the coordinates that define this Geometry, which must be the same as the coordinate dimension of the coordinate reference system for this Geometry.
`int` | `getDimension()` Returns the dimension of the aggregation, i.e. the maximum dimension of all member geometries.

Methods inherited from class org.deegree.model.spatialschema.AggregateImpl
`add, equals, getAll, getIterator, getObjectAt, getSize, insertObjectAt, intersects, isEmpty, isMember, merge, removeAll, removeObject, removeObjectAt, setCoordinateSystem, setObjectAt, toString, translate`

Methods inherited from class org.deegree.model.spatialschema.GeometryImpl
`clone, contains, contains, difference, distance, getBoundary, getBuffer, getBuffer, getCentroid, getConvexHull, getCoordinateSystem, getEnvelope, getTolerance, intersection, isValid, isWithinDistance, setEmpty, setTolerance, setValid, union`

Methods inherited from class java.lang.Object
`finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.deegree.model.spatialschema.Aggregate
`add, getAll, getIterator, getObjectAt, getSize, insertObjectAt, isMember, merge, removeAll, removeObject, removeObjectAt, setObjectAt`

Methods inherited from interface org.deegree.model.spatialschema.Geometry
`contains, contains, difference, distance, getBoundary, getBuffer, getBuffer, getCentroid, getConvexHull, getCoordinateSystem, getEnvelope, getTolerance, intersection, intersects, isEmpty, isWithinDistance, setTolerance, translate, union`

Constructor Detail

### MultiGeometryImpl

    protected MultiGeometryImpl(CoordinateSystem crs)

  Creates an empty `MultiGeometryImpl` instance with a given `CoordinateSystem`.

  Parameters:
    `crs` - coordinate system

### MultiGeometryImpl

    protected MultiGeometryImpl(Geometry[] members,
                                CoordinateSystem crs)

  Creates a `MultiGeometryImpl` with a given `CoordinateSystem` that contains the provided `Geometry` objects.

  Parameters:
    `members` - geometries contained in the `MultiGeometry`
    `crs` - coordinate system

Method Detail

### getCoordinateDimension

    public int getCoordinateDimension()

  The operation "coordinateDimension" shall return the dimension of the coordinates that define this Geometry, which must be the same as the coordinate dimension of the coordinate reference system for this Geometry.

  Specified by:
    `getCoordinateDimension` in interface `Geometry`
  Returns:
    the actual dimension

### getDimension

    public int getDimension()

  Returns the dimension of the aggregation, i.e. the maximum dimension of all member geometries.

  Specified by:
    `getDimension` in interface `Geometry`
  Returns:
    the maximum dimension of all member geometries

### calculateParam

    protected void calculateParam()

  Calculates the value of the following member variables:
  - `dimension`
  - `GeometryImpl.envelope`
  - `GeometryImpl.centroid`

  Specified by:
    `calculateParam` in class `GeometryImpl`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org